Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class AccTravInvokeImpl

`java.lang.Object
oracle.jbo.common.AccTravInvokeImpl`

All Implemented Interfaces:
  AccTravInvoke, java.io.Serializable

public class AccTravInvokeImpl
extends java.lang.Object
implements AccTravInvoke

This class is a base implementation of the `AccTravInvoke` interface.

Since:
  JDeveloper 10.1.2
See Also:
  `AccTravInvoke`, Serialized Form

Constructor Summary
`AccTravInvokeImpl(java.lang.String accName)`
`AccTravInvokeImpl(java.lang.String accName, AccTravDef accTravDef)`

Method Summary
`java.lang.String` | `getAccName()` Returns the name of the ViewLink accessor.
`AccTravDef` | `getAccTravDef()` Returns the next accessor level traversal definition.
`void` | `setAccTravDef(AccTravDef accTravDef)` Sets the next accessor level traversal definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccTravInvokeImpl

    public AccTravInvokeImpl(java.lang.String accName)

### AccTravInvokeImpl

    public AccTravInvokeImpl(java.lang.String accName,
                             AccTravDef accTravDef)

Method Detail

### getAccName

    public java.lang.String getAccName()

  Description copied from interface: `AccTravInvoke`
  Returns the name of the ViewLink accessor.
  Specified by:
    `getAccName` in interface `AccTravInvoke`
  Returns:
    the accessor name.

### getAccTravDef

    public AccTravDef getAccTravDef()

  Description copied from interface: `AccTravInvoke`
  Returns the next accessor level traversal definition.
  Specified by:
    `getAccTravDef` in interface `AccTravInvoke`
  Returns:
    the next accessor level traversal definition.

### setAccTravDef

    public void setAccTravDef(AccTravDef accTravDef)

  Description copied from interface: `AccTravInvoke`
  Sets the next accessor level traversal definition.
  Specified by:
    `setAccTravDef` in interface `AccTravInvoke`
  Parameters:
    `accTravDef` - the next accessor level traversal definition to be associated with accessor invocation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.